RDKit::FMCS::TargetMatch Struct Reference

`#include <TargetMatch.h>`

## Public Member Functions

| TargetMatch ()
| TargetMatch (const TargetMatch &src)
TargetMatch & | operator= (const TargetMatch &src)
bool | empty () const
void | clear ()
void | init (const Seed &seed, const match_V_t &match, const ROMol &query, const Target &target)

## Public Attributes

bool | Empty
size_t | MatchedAtomSize
size_t | MatchedBondSize
std::vector< unsigned > | TargetAtomIdx
std::vector< unsigned > | TargetBondIdx
std::vector< bool > | VisitedTargetBonds
std::vector< bool > | VisitedTargetAtoms

## Detailed Description

Definition at line 17 of file TargetMatch.h.

## Constructor & Destructor Documentation

## TargetMatch() [1/2]

RDKit::FMCS::TargetMatch::TargetMatch | ( |  | ) |

inline

Definition at line 26 of file TargetMatch.h.

## TargetMatch() [2/2]

RDKit::FMCS::TargetMatch::TargetMatch | ( | const TargetMatch & | src | ) |

inline

Definition at line 27 of file TargetMatch.h.

## Member Function Documentation

## clear()

void RDKit::FMCS::TargetMatch::clear | ( |  | ) |

inline

Definition at line 45 of file TargetMatch.h.

## empty()

bool RDKit::FMCS::TargetMatch::empty | ( |  | ) | const

inline

Definition at line 44 of file TargetMatch.h.

References Empty.

## init()

void RDKit::FMCS::TargetMatch::init | ( | const Seed & | seed,
|  | const match_V_t & | match,
|  | const ROMol & | query,
|  | const Target & | target
| ) |  |

inline

Definition at line 53 of file TargetMatch.h.

References RDKit::FMCS::MolFragment::AtomsIdx, RDKit::FMCS::MolFragment::Bonds, RDKit::ROMol::getBondBetweenAtoms(), RDKit::Bond::getIdx(), RDKit::ROMol::getNumAtoms(), RDKit::ROMol::getNumBonds(), RDKit::FMCS::Target::Molecule, and RDKit::FMCS::Seed::MoleculeFragment.

## operator=()

TargetMatch& RDKit::FMCS::TargetMatch::operator= | ( | const TargetMatch & | src | ) |

inline

Definition at line 28 of file TargetMatch.h.

References Empty, MatchedAtomSize, MatchedBondSize, TargetAtomIdx, TargetBondIdx, VisitedTargetAtoms, and VisitedTargetBonds.

## Member Data Documentation

## Empty

bool RDKit::FMCS::TargetMatch::Empty

Definition at line 18 of file TargetMatch.h.

Referenced by empty(), and operator=().

## MatchedAtomSize

size_t RDKit::FMCS::TargetMatch::MatchedAtomSize

Definition at line 19 of file TargetMatch.h.

Referenced by operator=().

## MatchedBondSize

size_t RDKit::FMCS::TargetMatch::MatchedBondSize

Definition at line 20 of file TargetMatch.h.

Referenced by operator=().

## TargetAtomIdx

std::vector<unsigned> RDKit::FMCS::TargetMatch::TargetAtomIdx

Definition at line 21 of file TargetMatch.h.

Referenced by operator=().

## TargetBondIdx

std::vector<unsigned> RDKit::FMCS::TargetMatch::TargetBondIdx

Definition at line 22 of file TargetMatch.h.

Referenced by operator=().

## VisitedTargetAtoms

std::vector<bool> RDKit::FMCS::TargetMatch::VisitedTargetAtoms

Definition at line 24 of file TargetMatch.h.

Referenced by operator=().

## VisitedTargetBonds

std::vector<bool> RDKit::FMCS::TargetMatch::VisitedTargetBonds

Definition at line 23 of file TargetMatch.h.

Referenced by operator=().

The documentation for this struct was generated from the following file:

- TargetMatch.h